<?php

namespace gp\controleurs;

use gp\modeles\Game;
use gp\vues\VueGame;
class ControleurGame
{
    public function getGame($id){
        $game = Game::where('id', '=', $id)->first();
        $v = new VueGame(json_encode($game));
        $v->render('getGame');
    }

    public function getGames(){
        $page = filter_var($_GET['page'], FILTER_SANITIZE_NUMBER_INT);
        ini_set('memory_limit', '512M');
        $response = Game::paginate(200, ['*'], 'page', $page);
        $json = (json_decode(json_encode($response),true));
        foreach ($json['data'] as $game) {
            $results['games'][] = ["game" => $game, "links" => ["self" => ["href" => "/api/games/{$game['id']}"]]];
        }
        $links = ["prev" =>["href" => "/api/games{$json['prev_page_url']}"] , "next" =>["href" => "/api/games{$json['next_page_url']}"]];
        $results['links'] = $links;
        $v = new VueGame(json_encode($results));
        $v->render('getGames');
    }
}